
package cz.cnb.anaws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the cz.cnb.anaws package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetInfoRequest_QNAME = new QName("http://www.cnb.cz/anaws", "getInfoRequest");
    private final static QName _GetDataRequest_QNAME = new QName("http://www.cnb.cz/anaws", "getDataRequest");
    private final static QName _GetStavyRequest_QNAME = new QName("http://www.cnb.cz/anaws", "getStavyRequest");
    private final static QName _GetDataResponse_QNAME = new QName("http://www.cnb.cz/anaws", "getDataResponse");
    private final static QName _GetStavyResponse_QNAME = new QName("http://www.cnb.cz/anaws", "getStavyResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.cnb.anaws
     *
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetInfoResponse }
     *
     */
    public GetInfoResponse createGetInfoResponse() {
        return new GetInfoResponse();
    }

    /**
     * Create an instance of {@link GetInfoResponse.Mvk }
     *
     */
    public GetInfoResponse.Mvk createGetInfoResponseMvk() {
        return new GetInfoResponse.Mvk();
    }

    /**
     * Create an instance of {@link GenericRequestResponseHeader }
     *
     */
    public GenericRequestResponseHeader createGenericRequestResponseHeader() {
        return new GenericRequestResponseHeader();
    }

    /**
     * Create an instance of {@link GetDataRequest }
     *
     */
    public GetDataRequest createGetDataRequest() {
        return new GetDataRequest();
    }

    /**
     * Create an instance of {@link GetProtokolyRequest }
     *
     */
    public GetProtokolyRequest createGetProtokolyRequest() {
        return new GetProtokolyRequest();
    }

    /**
     * Create an instance of {@link GetInfoResponse.Jvk }
     *
     */
    public GetInfoResponse.Jvk createGetInfoResponseJvk() {
        return new GetInfoResponse.Jvk();
    }

    /**
     * Create an instance of {@link GetDataResponse }
     *
     */
    public GetDataResponse createGetDataResponse() {
        return new GetDataResponse();
    }

    /**
     * Create an instance of {@link GetProtokolyResponse }
     *
     */
    public GetProtokolyResponse createGetProtokolyResponse() {
        return new GetProtokolyResponse();
    }

    /**
     * Create an instance of {@link AnaWSFaultInfo }
     *
     */
    public AnaWSFaultInfo createAnaWSFaultInfo() {
        return new AnaWSFaultInfo();
    }

    /**
     * Create an instance of {@link JvkMvkChyba }
     *
     */
    public JvkMvkChyba createJvkMvkChyba() {
        return new JvkMvkChyba();
    }

    /**
     * Create an instance of {@link GetInfoResponse.Mvk.MvkMkId }
     *
     */
    public GetInfoResponse.Mvk.MvkMkId createGetInfoResponseMvkMvkMkId() {
        return new GetInfoResponse.Mvk.MvkMkId();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenericRequestResponseHeader }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://www.cnb.cz/anaws", name = "getInfoRequest")
    public JAXBElement<GenericRequestResponseHeader> createGetInfoRequest(GenericRequestResponseHeader value) {
        return new JAXBElement<GenericRequestResponseHeader>(_GetInfoRequest_QNAME, GenericRequestResponseHeader.class,
                                                             null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDataRequest }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://www.cnb.cz/anaws", name = "getDataRequest")
    public JAXBElement<GetDataRequest> createGetDataRequest(GetDataRequest value) {
        return new JAXBElement<GetDataRequest>(_GetDataRequest_QNAME, GetDataRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDataRequest }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://www.cnb.cz/anaws", name = "getStavyRequest")
    public JAXBElement<GetDataRequest> createGetStavyRequest(GetDataRequest value) {
        return new JAXBElement<GetDataRequest>(_GetStavyRequest_QNAME, GetDataRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDataResponse }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://www.cnb.cz/anaws", name = "getDataResponse")
    public JAXBElement<GetDataResponse> createGetDataResponse(GetDataResponse value) {
        return new JAXBElement<GetDataResponse>(_GetDataResponse_QNAME, GetDataResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDataResponse }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "http://www.cnb.cz/anaws", name = "getStavyResponse")
    public JAXBElement<GetDataResponse> createGetStavyResponse(GetDataResponse value) {
        return new JAXBElement<GetDataResponse>(_GetStavyResponse_QNAME, GetDataResponse.class, null, value);
    }

}
