
package cz.cnb.anaws;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.cnb.cz/anaws}GenericRequestResponseHeader"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="data_stav_ke_dni" type="{http://www.cnb.cz/anaws}StavKeDni"/&gt;
 *         &lt;element name="stavy_stav_ke_dni" type="{http://www.cnb.cz/anaws}StavKeDni"/&gt;
 *         &lt;element name="cislo_vydani" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="jvk"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="jvk_kk_id" type="{http://www.cnb.cz/anaws}JvkMvkChyba" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *                 &lt;attribute name="stav_ke_dni" type="{http://www.cnb.cz/anaws}StavKeDni" /&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="mvk"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="mvk_mk_id" maxOccurs="unbounded" minOccurs="0"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="mvk_kk_id" type="{http://www.cnb.cz/anaws}JvkMvkChyba" maxOccurs="unbounded"/&gt;
 *                           &lt;/sequence&gt;
 *                           &lt;attribute name="mk_id"&gt;
 *                             &lt;simpleType&gt;
 *                               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *                               &lt;/restriction&gt;
 *                             &lt;/simpleType&gt;
 *                           &lt;/attribute&gt;
 *                           &lt;attribute name="stav_ke_dni" type="{http://www.cnb.cz/anaws}StavKeDni" /&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "dataStavKeDni", "stavyStavKeDni", "cisloVydani", "jvk", "mvk" })
@XmlRootElement(name = "getInfoResponse")
public class GetInfoResponse extends GenericRequestResponseHeader {

    @XmlElement(name = "data_stav_ke_dni", required = true)
    protected String dataStavKeDni;
    @XmlElement(name = "stavy_stav_ke_dni", required = true)
    protected String stavyStavKeDni;
    @XmlElement(name = "cislo_vydani")
    protected int cisloVydani;
    @XmlElement(required = true)
    protected GetInfoResponse.Jvk jvk;
    @XmlElement(required = true)
    protected GetInfoResponse.Mvk mvk;

    /**
     * Gets the value of the dataStavKeDni property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getDataStavKeDni() {
        return dataStavKeDni;
    }

    /**
     * Sets the value of the dataStavKeDni property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setDataStavKeDni(String value) {
        this.dataStavKeDni = value;
    }

    /**
     * Gets the value of the stavyStavKeDni property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getStavyStavKeDni() {
        return stavyStavKeDni;
    }

    /**
     * Sets the value of the stavyStavKeDni property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setStavyStavKeDni(String value) {
        this.stavyStavKeDni = value;
    }

    /**
     * Gets the value of the cisloVydani property.
     *
     */
    public int getCisloVydani() {
        return cisloVydani;
    }

    /**
     * Sets the value of the cisloVydani property.
     *
     */
    public void setCisloVydani(int value) {
        this.cisloVydani = value;
    }

    /**
     * Gets the value of the jvk property.
     *
     * @return
     *     possible object is
     *     {@link GetInfoResponse.Jvk }
     *
     */
    public GetInfoResponse.Jvk getJvk() {
        return jvk;
    }

    /**
     * Sets the value of the jvk property.
     *
     * @param value
     *     allowed object is
     *     {@link GetInfoResponse.Jvk }
     *
     */
    public void setJvk(GetInfoResponse.Jvk value) {
        this.jvk = value;
    }

    /**
     * Gets the value of the mvk property.
     *
     * @return
     *     possible object is
     *     {@link GetInfoResponse.Mvk }
     *
     */
    public GetInfoResponse.Mvk getMvk() {
        return mvk;
    }

    /**
     * Sets the value of the mvk property.
     *
     * @param value
     *     allowed object is
     *     {@link GetInfoResponse.Mvk }
     *
     */
    public void setMvk(GetInfoResponse.Mvk value) {
        this.mvk = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     *
     * <p>The following schema fragment specifies the expected content contained within this class.
     *
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="jvk_kk_id" type="{http://www.cnb.cz/anaws}JvkMvkChyba" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *       &lt;attribute name="stav_ke_dni" type="{http://www.cnb.cz/anaws}StavKeDni" /&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     *
     *
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = { "jvkKkId" })
    public static class Jvk {

        @XmlElement(name = "jvk_kk_id", required = true)
        protected List<JvkMvkChyba> jvkKkId;
        @XmlAttribute(name = "stav_ke_dni")
        protected String stavKeDni;

        /**
         * Gets the value of the jvkKkId property.
         *
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the jvkKkId property.
         *
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getJvkKkId().add(newItem);
         * </pre>
         *
         *
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link JvkMvkChyba }
         *
         *
         */
        public List<JvkMvkChyba> getJvkKkId() {
            if (jvkKkId == null) {
                jvkKkId = new ArrayList<JvkMvkChyba>();
            }
            return this.jvkKkId;
        }

        /**
         * Gets the value of the stavKeDni property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getStavKeDni() {
            return stavKeDni;
        }

        /**
         * Sets the value of the stavKeDni property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setStavKeDni(String value) {
            this.stavKeDni = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     *
     * <p>The following schema fragment specifies the expected content contained within this class.
     *
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="mvk_mk_id" maxOccurs="unbounded" minOccurs="0"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="mvk_kk_id" type="{http://www.cnb.cz/anaws}JvkMvkChyba" maxOccurs="unbounded"/&gt;
     *                 &lt;/sequence&gt;
     *                 &lt;attribute name="mk_id"&gt;
     *                   &lt;simpleType&gt;
     *                     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
     *                     &lt;/restriction&gt;
     *                   &lt;/simpleType&gt;
     *                 &lt;/attribute&gt;
     *                 &lt;attribute name="stav_ke_dni" type="{http://www.cnb.cz/anaws}StavKeDni" /&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     *
     *
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = { "mvkMkId" })
    public static class Mvk {

        @XmlElement(name = "mvk_mk_id")
        protected List<GetInfoResponse.Mvk.MvkMkId> mvkMkId;

        /**
         * Gets the value of the mvkMkId property.
         *
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the mvkMkId property.
         *
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getMvkMkId().add(newItem);
         * </pre>
         *
         *
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link GetInfoResponse.Mvk.MvkMkId }
         *
         *
         */
        public List<GetInfoResponse.Mvk.MvkMkId> getMvkMkId() {
            if (mvkMkId == null) {
                mvkMkId = new ArrayList<GetInfoResponse.Mvk.MvkMkId>();
            }
            return this.mvkMkId;
        }


        /**
         * <p>Java class for anonymous complex type.
         *
         * <p>The following schema fragment specifies the expected content contained within this class.
         *
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="mvk_kk_id" type="{http://www.cnb.cz/anaws}JvkMvkChyba" maxOccurs="unbounded"/&gt;
         *       &lt;/sequence&gt;
         *       &lt;attribute name="mk_id"&gt;
         *         &lt;simpleType&gt;
         *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
         *           &lt;/restriction&gt;
         *         &lt;/simpleType&gt;
         *       &lt;/attribute&gt;
         *       &lt;attribute name="stav_ke_dni" type="{http://www.cnb.cz/anaws}StavKeDni" /&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         *
         *
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = { "mvkKkId" })
        public static class MvkMkId {

            @XmlElement(name = "mvk_kk_id", required = true)
            protected List<JvkMvkChyba> mvkKkId;
            @XmlAttribute(name = "mk_id")
            protected String mkId;
            @XmlAttribute(name = "stav_ke_dni")
            protected String stavKeDni;

            /**
             * Gets the value of the mvkKkId property.
             *
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the mvkKkId property.
             *
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getMvkKkId().add(newItem);
             * </pre>
             *
             *
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link JvkMvkChyba }
             *
             *
             */
            public List<JvkMvkChyba> getMvkKkId() {
                if (mvkKkId == null) {
                    mvkKkId = new ArrayList<JvkMvkChyba>();
                }
                return this.mvkKkId;
            }

            /**
             * Gets the value of the mkId property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getMkId() {
                return mkId;
            }

            /**
             * Sets the value of the mkId property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setMkId(String value) {
                this.mkId = value;
            }

            /**
             * Gets the value of the stavKeDni property.
             *
             * @return
             *     possible object is
             *     {@link String }
             *
             */
            public String getStavKeDni() {
                return stavKeDni;
            }

            /**
             * Sets the value of the stavKeDni property.
             *
             * @param value
             *     allowed object is
             *     {@link String }
             *
             */
            public void setStavKeDni(String value) {
                this.stavKeDni = value;
            }

        }

    }

}
